import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteTranscriptionJobCommand, se_DeleteTranscriptionJobCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DeleteTranscriptionJobCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("Transcribe", "DeleteTranscriptionJob", {})
    .n("TranscribeClient", "DeleteTranscriptionJobCommand")
    .f(void 0, void 0)
    .ser(se_DeleteTranscriptionJobCommand)
    .de(de_DeleteTranscriptionJobCommand)
    .build() {
}
