import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { CreateCallAnalyticsCategoryCommandInput, CreateCallAnalyticsCategoryCommandOutput } from "../commands/CreateCallAnalyticsCategoryCommand";
import { CreateLanguageModelCommandInput, CreateLanguageModelCommandOutput } from "../commands/CreateLanguageModelCommand";
import { CreateMedicalVocabularyCommandInput, CreateMedicalVocabularyCommandOutput } from "../commands/CreateMedicalVocabularyCommand";
import { CreateVocabularyCommandInput, CreateVocabularyCommandOutput } from "../commands/CreateVocabularyCommand";
import { CreateVocabularyFilterCommandInput, CreateVocabularyFilterCommandOutput } from "../commands/CreateVocabularyFilterCommand";
import { DeleteCallAnalyticsCategoryCommandInput, DeleteCallAnalyticsCategoryCommandOutput } from "../commands/DeleteCallAnalyticsCategoryCommand";
import { DeleteCallAnalyticsJobCommandInput, DeleteCallAnalyticsJobCommandOutput } from "../commands/DeleteCallAnalyticsJobCommand";
import { DeleteLanguageModelCommandInput, DeleteLanguageModelCommandOutput } from "../commands/DeleteLanguageModelCommand";
import { DeleteMedicalScribeJobCommandInput, DeleteMedicalScribeJobCommandOutput } from "../commands/DeleteMedicalScribeJobCommand";
import { DeleteMedicalTranscriptionJobCommandInput, DeleteMedicalTranscriptionJobCommandOutput } from "../commands/DeleteMedicalTranscriptionJobCommand";
import { DeleteMedicalVocabularyCommandInput, DeleteMedicalVocabularyCommandOutput } from "../commands/DeleteMedicalVocabularyCommand";
import { DeleteTranscriptionJobCommandInput, DeleteTranscriptionJobCommandOutput } from "../commands/DeleteTranscriptionJobCommand";
import { DeleteVocabularyCommandInput, DeleteVocabularyCommandOutput } from "../commands/DeleteVocabularyCommand";
import { DeleteVocabularyFilterCommandInput, DeleteVocabularyFilterCommandOutput } from "../commands/DeleteVocabularyFilterCommand";
import { DescribeLanguageModelCommandInput, DescribeLanguageModelCommandOutput } from "../commands/DescribeLanguageModelCommand";
import { GetCallAnalyticsCategoryCommandInput, GetCallAnalyticsCategoryCommandOutput } from "../commands/GetCallAnalyticsCategoryCommand";
import { GetCallAnalyticsJobCommandInput, GetCallAnalyticsJobCommandOutput } from "../commands/GetCallAnalyticsJobCommand";
import { GetMedicalScribeJobCommandInput, GetMedicalScribeJobCommandOutput } from "../commands/GetMedicalScribeJobCommand";
import { GetMedicalTranscriptionJobCommandInput, GetMedicalTranscriptionJobCommandOutput } from "../commands/GetMedicalTranscriptionJobCommand";
import { GetMedicalVocabularyCommandInput, GetMedicalVocabularyCommandOutput } from "../commands/GetMedicalVocabularyCommand";
import { GetTranscriptionJobCommandInput, GetTranscriptionJobCommandOutput } from "../commands/GetTranscriptionJobCommand";
import { GetVocabularyCommandInput, GetVocabularyCommandOutput } from "../commands/GetVocabularyCommand";
import { GetVocabularyFilterCommandInput, GetVocabularyFilterCommandOutput } from "../commands/GetVocabularyFilterCommand";
import { ListCallAnalyticsCategoriesCommandInput, ListCallAnalyticsCategoriesCommandOutput } from "../commands/ListCallAnalyticsCategoriesCommand";
import { ListCallAnalyticsJobsCommandInput, ListCallAnalyticsJobsCommandOutput } from "../commands/ListCallAnalyticsJobsCommand";
import { ListLanguageModelsCommandInput, ListLanguageModelsCommandOutput } from "../commands/ListLanguageModelsCommand";
import { ListMedicalScribeJobsCommandInput, ListMedicalScribeJobsCommandOutput } from "../commands/ListMedicalScribeJobsCommand";
import { ListMedicalTranscriptionJobsCommandInput, ListMedicalTranscriptionJobsCommandOutput } from "../commands/ListMedicalTranscriptionJobsCommand";
import { ListMedicalVocabulariesCommandInput, ListMedicalVocabulariesCommandOutput } from "../commands/ListMedicalVocabulariesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListTranscriptionJobsCommandInput, ListTranscriptionJobsCommandOutput } from "../commands/ListTranscriptionJobsCommand";
import { ListVocabulariesCommandInput, ListVocabulariesCommandOutput } from "../commands/ListVocabulariesCommand";
import { ListVocabularyFiltersCommandInput, ListVocabularyFiltersCommandOutput } from "../commands/ListVocabularyFiltersCommand";
import { StartCallAnalyticsJobCommandInput, StartCallAnalyticsJobCommandOutput } from "../commands/StartCallAnalyticsJobCommand";
import { StartMedicalScribeJobCommandInput, StartMedicalScribeJobCommandOutput } from "../commands/StartMedicalScribeJobCommand";
import { StartMedicalTranscriptionJobCommandInput, StartMedicalTranscriptionJobCommandOutput } from "../commands/StartMedicalTranscriptionJobCommand";
import { StartTranscriptionJobCommandInput, StartTranscriptionJobCommandOutput } from "../commands/StartTranscriptionJobCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateCallAnalyticsCategoryCommandInput, UpdateCallAnalyticsCategoryCommandOutput } from "../commands/UpdateCallAnalyticsCategoryCommand";
import { UpdateMedicalVocabularyCommandInput, UpdateMedicalVocabularyCommandOutput } from "../commands/UpdateMedicalVocabularyCommand";
import { UpdateVocabularyCommandInput, UpdateVocabularyCommandOutput } from "../commands/UpdateVocabularyCommand";
import { UpdateVocabularyFilterCommandInput, UpdateVocabularyFilterCommandOutput } from "../commands/UpdateVocabularyFilterCommand";
/**
 * serializeAws_json1_1CreateCallAnalyticsCategoryCommand
 */
export declare const se_CreateCallAnalyticsCategoryCommand: (input: CreateCallAnalyticsCategoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateLanguageModelCommand
 */
export declare const se_CreateLanguageModelCommand: (input: CreateLanguageModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateMedicalVocabularyCommand
 */
export declare const se_CreateMedicalVocabularyCommand: (input: CreateMedicalVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateVocabularyCommand
 */
export declare const se_CreateVocabularyCommand: (input: CreateVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateVocabularyFilterCommand
 */
export declare const se_CreateVocabularyFilterCommand: (input: CreateVocabularyFilterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteCallAnalyticsCategoryCommand
 */
export declare const se_DeleteCallAnalyticsCategoryCommand: (input: DeleteCallAnalyticsCategoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteCallAnalyticsJobCommand
 */
export declare const se_DeleteCallAnalyticsJobCommand: (input: DeleteCallAnalyticsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteLanguageModelCommand
 */
export declare const se_DeleteLanguageModelCommand: (input: DeleteLanguageModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMedicalScribeJobCommand
 */
export declare const se_DeleteMedicalScribeJobCommand: (input: DeleteMedicalScribeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMedicalTranscriptionJobCommand
 */
export declare const se_DeleteMedicalTranscriptionJobCommand: (input: DeleteMedicalTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMedicalVocabularyCommand
 */
export declare const se_DeleteMedicalVocabularyCommand: (input: DeleteMedicalVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteTranscriptionJobCommand
 */
export declare const se_DeleteTranscriptionJobCommand: (input: DeleteTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteVocabularyCommand
 */
export declare const se_DeleteVocabularyCommand: (input: DeleteVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteVocabularyFilterCommand
 */
export declare const se_DeleteVocabularyFilterCommand: (input: DeleteVocabularyFilterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeLanguageModelCommand
 */
export declare const se_DescribeLanguageModelCommand: (input: DescribeLanguageModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCallAnalyticsCategoryCommand
 */
export declare const se_GetCallAnalyticsCategoryCommand: (input: GetCallAnalyticsCategoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCallAnalyticsJobCommand
 */
export declare const se_GetCallAnalyticsJobCommand: (input: GetCallAnalyticsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMedicalScribeJobCommand
 */
export declare const se_GetMedicalScribeJobCommand: (input: GetMedicalScribeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMedicalTranscriptionJobCommand
 */
export declare const se_GetMedicalTranscriptionJobCommand: (input: GetMedicalTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMedicalVocabularyCommand
 */
export declare const se_GetMedicalVocabularyCommand: (input: GetMedicalVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetTranscriptionJobCommand
 */
export declare const se_GetTranscriptionJobCommand: (input: GetTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetVocabularyCommand
 */
export declare const se_GetVocabularyCommand: (input: GetVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetVocabularyFilterCommand
 */
export declare const se_GetVocabularyFilterCommand: (input: GetVocabularyFilterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListCallAnalyticsCategoriesCommand
 */
export declare const se_ListCallAnalyticsCategoriesCommand: (input: ListCallAnalyticsCategoriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListCallAnalyticsJobsCommand
 */
export declare const se_ListCallAnalyticsJobsCommand: (input: ListCallAnalyticsJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListLanguageModelsCommand
 */
export declare const se_ListLanguageModelsCommand: (input: ListLanguageModelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMedicalScribeJobsCommand
 */
export declare const se_ListMedicalScribeJobsCommand: (input: ListMedicalScribeJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMedicalTranscriptionJobsCommand
 */
export declare const se_ListMedicalTranscriptionJobsCommand: (input: ListMedicalTranscriptionJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMedicalVocabulariesCommand
 */
export declare const se_ListMedicalVocabulariesCommand: (input: ListMedicalVocabulariesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListTranscriptionJobsCommand
 */
export declare const se_ListTranscriptionJobsCommand: (input: ListTranscriptionJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListVocabulariesCommand
 */
export declare const se_ListVocabulariesCommand: (input: ListVocabulariesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListVocabularyFiltersCommand
 */
export declare const se_ListVocabularyFiltersCommand: (input: ListVocabularyFiltersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartCallAnalyticsJobCommand
 */
export declare const se_StartCallAnalyticsJobCommand: (input: StartCallAnalyticsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMedicalScribeJobCommand
 */
export declare const se_StartMedicalScribeJobCommand: (input: StartMedicalScribeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMedicalTranscriptionJobCommand
 */
export declare const se_StartMedicalTranscriptionJobCommand: (input: StartMedicalTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartTranscriptionJobCommand
 */
export declare const se_StartTranscriptionJobCommand: (input: StartTranscriptionJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateCallAnalyticsCategoryCommand
 */
export declare const se_UpdateCallAnalyticsCategoryCommand: (input: UpdateCallAnalyticsCategoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateMedicalVocabularyCommand
 */
export declare const se_UpdateMedicalVocabularyCommand: (input: UpdateMedicalVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateVocabularyCommand
 */
export declare const se_UpdateVocabularyCommand: (input: UpdateVocabularyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateVocabularyFilterCommand
 */
export declare const se_UpdateVocabularyFilterCommand: (input: UpdateVocabularyFilterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_json1_1CreateCallAnalyticsCategoryCommand
 */
export declare const de_CreateCallAnalyticsCategoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCallAnalyticsCategoryCommandOutput>;
/**
 * deserializeAws_json1_1CreateLanguageModelCommand
 */
export declare const de_CreateLanguageModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLanguageModelCommandOutput>;
/**
 * deserializeAws_json1_1CreateMedicalVocabularyCommand
 */
export declare const de_CreateMedicalVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMedicalVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1CreateVocabularyCommand
 */
export declare const de_CreateVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1CreateVocabularyFilterCommand
 */
export declare const de_CreateVocabularyFilterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateVocabularyFilterCommandOutput>;
/**
 * deserializeAws_json1_1DeleteCallAnalyticsCategoryCommand
 */
export declare const de_DeleteCallAnalyticsCategoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCallAnalyticsCategoryCommandOutput>;
/**
 * deserializeAws_json1_1DeleteCallAnalyticsJobCommand
 */
export declare const de_DeleteCallAnalyticsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCallAnalyticsJobCommandOutput>;
/**
 * deserializeAws_json1_1DeleteLanguageModelCommand
 */
export declare const de_DeleteLanguageModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteLanguageModelCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMedicalScribeJobCommand
 */
export declare const de_DeleteMedicalScribeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMedicalScribeJobCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMedicalTranscriptionJobCommand
 */
export declare const de_DeleteMedicalTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMedicalTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMedicalVocabularyCommand
 */
export declare const de_DeleteMedicalVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMedicalVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1DeleteTranscriptionJobCommand
 */
export declare const de_DeleteTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1DeleteVocabularyCommand
 */
export declare const de_DeleteVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1DeleteVocabularyFilterCommand
 */
export declare const de_DeleteVocabularyFilterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVocabularyFilterCommandOutput>;
/**
 * deserializeAws_json1_1DescribeLanguageModelCommand
 */
export declare const de_DescribeLanguageModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLanguageModelCommandOutput>;
/**
 * deserializeAws_json1_1GetCallAnalyticsCategoryCommand
 */
export declare const de_GetCallAnalyticsCategoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCallAnalyticsCategoryCommandOutput>;
/**
 * deserializeAws_json1_1GetCallAnalyticsJobCommand
 */
export declare const de_GetCallAnalyticsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCallAnalyticsJobCommandOutput>;
/**
 * deserializeAws_json1_1GetMedicalScribeJobCommand
 */
export declare const de_GetMedicalScribeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMedicalScribeJobCommandOutput>;
/**
 * deserializeAws_json1_1GetMedicalTranscriptionJobCommand
 */
export declare const de_GetMedicalTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMedicalTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1GetMedicalVocabularyCommand
 */
export declare const de_GetMedicalVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMedicalVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1GetTranscriptionJobCommand
 */
export declare const de_GetTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1GetVocabularyCommand
 */
export declare const de_GetVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1GetVocabularyFilterCommand
 */
export declare const de_GetVocabularyFilterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVocabularyFilterCommandOutput>;
/**
 * deserializeAws_json1_1ListCallAnalyticsCategoriesCommand
 */
export declare const de_ListCallAnalyticsCategoriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCallAnalyticsCategoriesCommandOutput>;
/**
 * deserializeAws_json1_1ListCallAnalyticsJobsCommand
 */
export declare const de_ListCallAnalyticsJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCallAnalyticsJobsCommandOutput>;
/**
 * deserializeAws_json1_1ListLanguageModelsCommand
 */
export declare const de_ListLanguageModelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLanguageModelsCommandOutput>;
/**
 * deserializeAws_json1_1ListMedicalScribeJobsCommand
 */
export declare const de_ListMedicalScribeJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMedicalScribeJobsCommandOutput>;
/**
 * deserializeAws_json1_1ListMedicalTranscriptionJobsCommand
 */
export declare const de_ListMedicalTranscriptionJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMedicalTranscriptionJobsCommandOutput>;
/**
 * deserializeAws_json1_1ListMedicalVocabulariesCommand
 */
export declare const de_ListMedicalVocabulariesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMedicalVocabulariesCommandOutput>;
/**
 * deserializeAws_json1_1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_json1_1ListTranscriptionJobsCommand
 */
export declare const de_ListTranscriptionJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTranscriptionJobsCommandOutput>;
/**
 * deserializeAws_json1_1ListVocabulariesCommand
 */
export declare const de_ListVocabulariesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVocabulariesCommandOutput>;
/**
 * deserializeAws_json1_1ListVocabularyFiltersCommand
 */
export declare const de_ListVocabularyFiltersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVocabularyFiltersCommandOutput>;
/**
 * deserializeAws_json1_1StartCallAnalyticsJobCommand
 */
export declare const de_StartCallAnalyticsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartCallAnalyticsJobCommandOutput>;
/**
 * deserializeAws_json1_1StartMedicalScribeJobCommand
 */
export declare const de_StartMedicalScribeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMedicalScribeJobCommandOutput>;
/**
 * deserializeAws_json1_1StartMedicalTranscriptionJobCommand
 */
export declare const de_StartMedicalTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMedicalTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1StartTranscriptionJobCommand
 */
export declare const de_StartTranscriptionJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartTranscriptionJobCommandOutput>;
/**
 * deserializeAws_json1_1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_json1_1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_json1_1UpdateCallAnalyticsCategoryCommand
 */
export declare const de_UpdateCallAnalyticsCategoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateCallAnalyticsCategoryCommandOutput>;
/**
 * deserializeAws_json1_1UpdateMedicalVocabularyCommand
 */
export declare const de_UpdateMedicalVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMedicalVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1UpdateVocabularyCommand
 */
export declare const de_UpdateVocabularyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVocabularyCommandOutput>;
/**
 * deserializeAws_json1_1UpdateVocabularyFilterCommand
 */
export declare const de_UpdateVocabularyFilterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateVocabularyFilterCommandOutput>;
