import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { TranscribeClientResolvedConfig } from "../TranscribeClient";
export interface TranscribeHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface TranscribeHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    TranscribeClientResolvedConfig,
    HandlerExecutionContext,
    TranscribeHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultTranscribeHttpAuthSchemeParametersProvider: (
  config: TranscribeClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<TranscribeHttpAuthSchemeParameters>;
export interface TranscribeHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<TranscribeHttpAuthSchemeParameters> {}
export declare const defaultTranscribeHttpAuthSchemeProvider: TranscribeHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: TranscribeHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: TranscribeHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
