import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CreateCallAnalyticsCategoryCommandInput,
  CreateCallAnalyticsCategoryCommandOutput,
} from "../commands/CreateCallAnalyticsCategoryCommand";
import {
  CreateLanguageModelCommandInput,
  CreateLanguageModelCommandOutput,
} from "../commands/CreateLanguageModelCommand";
import {
  CreateMedicalVocabularyCommandInput,
  CreateMedicalVocabularyCommandOutput,
} from "../commands/CreateMedicalVocabularyCommand";
import {
  CreateVocabularyCommandInput,
  CreateVocabularyCommandOutput,
} from "../commands/CreateVocabularyCommand";
import {
  CreateVocabularyFilterCommandInput,
  CreateVocabularyFilterCommandOutput,
} from "../commands/CreateVocabularyFilterCommand";
import {
  DeleteCallAnalyticsCategoryCommandInput,
  DeleteCallAnalyticsCategoryCommandOutput,
} from "../commands/DeleteCallAnalyticsCategoryCommand";
import {
  DeleteCallAnalyticsJobCommandInput,
  DeleteCallAnalyticsJobCommandOutput,
} from "../commands/DeleteCallAnalyticsJobCommand";
import {
  DeleteLanguageModelCommandInput,
  DeleteLanguageModelCommandOutput,
} from "../commands/DeleteLanguageModelCommand";
import {
  DeleteMedicalScribeJobCommandInput,
  DeleteMedicalScribeJobCommandOutput,
} from "../commands/DeleteMedicalScribeJobCommand";
import {
  DeleteMedicalTranscriptionJobCommandInput,
  DeleteMedicalTranscriptionJobCommandOutput,
} from "../commands/DeleteMedicalTranscriptionJobCommand";
import {
  DeleteMedicalVocabularyCommandInput,
  DeleteMedicalVocabularyCommandOutput,
} from "../commands/DeleteMedicalVocabularyCommand";
import {
  DeleteTranscriptionJobCommandInput,
  DeleteTranscriptionJobCommandOutput,
} from "../commands/DeleteTranscriptionJobCommand";
import {
  DeleteVocabularyCommandInput,
  DeleteVocabularyCommandOutput,
} from "../commands/DeleteVocabularyCommand";
import {
  DeleteVocabularyFilterCommandInput,
  DeleteVocabularyFilterCommandOutput,
} from "../commands/DeleteVocabularyFilterCommand";
import {
  DescribeLanguageModelCommandInput,
  DescribeLanguageModelCommandOutput,
} from "../commands/DescribeLanguageModelCommand";
import {
  GetCallAnalyticsCategoryCommandInput,
  GetCallAnalyticsCategoryCommandOutput,
} from "../commands/GetCallAnalyticsCategoryCommand";
import {
  GetCallAnalyticsJobCommandInput,
  GetCallAnalyticsJobCommandOutput,
} from "../commands/GetCallAnalyticsJobCommand";
import {
  GetMedicalScribeJobCommandInput,
  GetMedicalScribeJobCommandOutput,
} from "../commands/GetMedicalScribeJobCommand";
import {
  GetMedicalTranscriptionJobCommandInput,
  GetMedicalTranscriptionJobCommandOutput,
} from "../commands/GetMedicalTranscriptionJobCommand";
import {
  GetMedicalVocabularyCommandInput,
  GetMedicalVocabularyCommandOutput,
} from "../commands/GetMedicalVocabularyCommand";
import {
  GetTranscriptionJobCommandInput,
  GetTranscriptionJobCommandOutput,
} from "../commands/GetTranscriptionJobCommand";
import {
  GetVocabularyCommandInput,
  GetVocabularyCommandOutput,
} from "../commands/GetVocabularyCommand";
import {
  GetVocabularyFilterCommandInput,
  GetVocabularyFilterCommandOutput,
} from "../commands/GetVocabularyFilterCommand";
import {
  ListCallAnalyticsCategoriesCommandInput,
  ListCallAnalyticsCategoriesCommandOutput,
} from "../commands/ListCallAnalyticsCategoriesCommand";
import {
  ListCallAnalyticsJobsCommandInput,
  ListCallAnalyticsJobsCommandOutput,
} from "../commands/ListCallAnalyticsJobsCommand";
import {
  ListLanguageModelsCommandInput,
  ListLanguageModelsCommandOutput,
} from "../commands/ListLanguageModelsCommand";
import {
  ListMedicalScribeJobsCommandInput,
  ListMedicalScribeJobsCommandOutput,
} from "../commands/ListMedicalScribeJobsCommand";
import {
  ListMedicalTranscriptionJobsCommandInput,
  ListMedicalTranscriptionJobsCommandOutput,
} from "../commands/ListMedicalTranscriptionJobsCommand";
import {
  ListMedicalVocabulariesCommandInput,
  ListMedicalVocabulariesCommandOutput,
} from "../commands/ListMedicalVocabulariesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListTranscriptionJobsCommandInput,
  ListTranscriptionJobsCommandOutput,
} from "../commands/ListTranscriptionJobsCommand";
import {
  ListVocabulariesCommandInput,
  ListVocabulariesCommandOutput,
} from "../commands/ListVocabulariesCommand";
import {
  ListVocabularyFiltersCommandInput,
  ListVocabularyFiltersCommandOutput,
} from "../commands/ListVocabularyFiltersCommand";
import {
  StartCallAnalyticsJobCommandInput,
  StartCallAnalyticsJobCommandOutput,
} from "../commands/StartCallAnalyticsJobCommand";
import {
  StartMedicalScribeJobCommandInput,
  StartMedicalScribeJobCommandOutput,
} from "../commands/StartMedicalScribeJobCommand";
import {
  StartMedicalTranscriptionJobCommandInput,
  StartMedicalTranscriptionJobCommandOutput,
} from "../commands/StartMedicalTranscriptionJobCommand";
import {
  StartTranscriptionJobCommandInput,
  StartTranscriptionJobCommandOutput,
} from "../commands/StartTranscriptionJobCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateCallAnalyticsCategoryCommandInput,
  UpdateCallAnalyticsCategoryCommandOutput,
} from "../commands/UpdateCallAnalyticsCategoryCommand";
import {
  UpdateMedicalVocabularyCommandInput,
  UpdateMedicalVocabularyCommandOutput,
} from "../commands/UpdateMedicalVocabularyCommand";
import {
  UpdateVocabularyCommandInput,
  UpdateVocabularyCommandOutput,
} from "../commands/UpdateVocabularyCommand";
import {
  UpdateVocabularyFilterCommandInput,
  UpdateVocabularyFilterCommandOutput,
} from "../commands/UpdateVocabularyFilterCommand";
export declare const se_CreateCallAnalyticsCategoryCommand: (
  input: CreateCallAnalyticsCategoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateLanguageModelCommand: (
  input: CreateLanguageModelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMedicalVocabularyCommand: (
  input: CreateMedicalVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVocabularyCommand: (
  input: CreateVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVocabularyFilterCommand: (
  input: CreateVocabularyFilterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCallAnalyticsCategoryCommand: (
  input: DeleteCallAnalyticsCategoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCallAnalyticsJobCommand: (
  input: DeleteCallAnalyticsJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteLanguageModelCommand: (
  input: DeleteLanguageModelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMedicalScribeJobCommand: (
  input: DeleteMedicalScribeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMedicalTranscriptionJobCommand: (
  input: DeleteMedicalTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMedicalVocabularyCommand: (
  input: DeleteMedicalVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTranscriptionJobCommand: (
  input: DeleteTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVocabularyCommand: (
  input: DeleteVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVocabularyFilterCommand: (
  input: DeleteVocabularyFilterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLanguageModelCommand: (
  input: DescribeLanguageModelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCallAnalyticsCategoryCommand: (
  input: GetCallAnalyticsCategoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCallAnalyticsJobCommand: (
  input: GetCallAnalyticsJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMedicalScribeJobCommand: (
  input: GetMedicalScribeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMedicalTranscriptionJobCommand: (
  input: GetMedicalTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMedicalVocabularyCommand: (
  input: GetMedicalVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetTranscriptionJobCommand: (
  input: GetTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVocabularyCommand: (
  input: GetVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVocabularyFilterCommand: (
  input: GetVocabularyFilterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCallAnalyticsCategoriesCommand: (
  input: ListCallAnalyticsCategoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCallAnalyticsJobsCommand: (
  input: ListCallAnalyticsJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListLanguageModelsCommand: (
  input: ListLanguageModelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMedicalScribeJobsCommand: (
  input: ListMedicalScribeJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMedicalTranscriptionJobsCommand: (
  input: ListMedicalTranscriptionJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListMedicalVocabulariesCommand: (
  input: ListMedicalVocabulariesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTranscriptionJobsCommand: (
  input: ListTranscriptionJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVocabulariesCommand: (
  input: ListVocabulariesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVocabularyFiltersCommand: (
  input: ListVocabularyFiltersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartCallAnalyticsJobCommand: (
  input: StartCallAnalyticsJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMedicalScribeJobCommand: (
  input: StartMedicalScribeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMedicalTranscriptionJobCommand: (
  input: StartMedicalTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartTranscriptionJobCommand: (
  input: StartTranscriptionJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCallAnalyticsCategoryCommand: (
  input: UpdateCallAnalyticsCategoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateMedicalVocabularyCommand: (
  input: UpdateMedicalVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVocabularyCommand: (
  input: UpdateVocabularyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVocabularyFilterCommand: (
  input: UpdateVocabularyFilterCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CreateCallAnalyticsCategoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCallAnalyticsCategoryCommandOutput>;
export declare const de_CreateLanguageModelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateLanguageModelCommandOutput>;
export declare const de_CreateMedicalVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMedicalVocabularyCommandOutput>;
export declare const de_CreateVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVocabularyCommandOutput>;
export declare const de_CreateVocabularyFilterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVocabularyFilterCommandOutput>;
export declare const de_DeleteCallAnalyticsCategoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCallAnalyticsCategoryCommandOutput>;
export declare const de_DeleteCallAnalyticsJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCallAnalyticsJobCommandOutput>;
export declare const de_DeleteLanguageModelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteLanguageModelCommandOutput>;
export declare const de_DeleteMedicalScribeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMedicalScribeJobCommandOutput>;
export declare const de_DeleteMedicalTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMedicalTranscriptionJobCommandOutput>;
export declare const de_DeleteMedicalVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMedicalVocabularyCommandOutput>;
export declare const de_DeleteTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTranscriptionJobCommandOutput>;
export declare const de_DeleteVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVocabularyCommandOutput>;
export declare const de_DeleteVocabularyFilterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVocabularyFilterCommandOutput>;
export declare const de_DescribeLanguageModelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLanguageModelCommandOutput>;
export declare const de_GetCallAnalyticsCategoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCallAnalyticsCategoryCommandOutput>;
export declare const de_GetCallAnalyticsJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCallAnalyticsJobCommandOutput>;
export declare const de_GetMedicalScribeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMedicalScribeJobCommandOutput>;
export declare const de_GetMedicalTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMedicalTranscriptionJobCommandOutput>;
export declare const de_GetMedicalVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMedicalVocabularyCommandOutput>;
export declare const de_GetTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTranscriptionJobCommandOutput>;
export declare const de_GetVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVocabularyCommandOutput>;
export declare const de_GetVocabularyFilterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVocabularyFilterCommandOutput>;
export declare const de_ListCallAnalyticsCategoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCallAnalyticsCategoriesCommandOutput>;
export declare const de_ListCallAnalyticsJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCallAnalyticsJobsCommandOutput>;
export declare const de_ListLanguageModelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListLanguageModelsCommandOutput>;
export declare const de_ListMedicalScribeJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMedicalScribeJobsCommandOutput>;
export declare const de_ListMedicalTranscriptionJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMedicalTranscriptionJobsCommandOutput>;
export declare const de_ListMedicalVocabulariesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListMedicalVocabulariesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListTranscriptionJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTranscriptionJobsCommandOutput>;
export declare const de_ListVocabulariesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVocabulariesCommandOutput>;
export declare const de_ListVocabularyFiltersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVocabularyFiltersCommandOutput>;
export declare const de_StartCallAnalyticsJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartCallAnalyticsJobCommandOutput>;
export declare const de_StartMedicalScribeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMedicalScribeJobCommandOutput>;
export declare const de_StartMedicalTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMedicalTranscriptionJobCommandOutput>;
export declare const de_StartTranscriptionJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartTranscriptionJobCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateCallAnalyticsCategoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCallAnalyticsCategoryCommandOutput>;
export declare const de_UpdateMedicalVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateMedicalVocabularyCommandOutput>;
export declare const de_UpdateVocabularyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVocabularyCommandOutput>;
export declare const de_UpdateVocabularyFilterCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVocabularyFilterCommandOutput>;
